import { request, getRequestParams } from '@/utils/request';

/**
 * 创建课程
 * @param {Object} data
 */
export function CreateCourse(data) {
  let params = getRequestParams('teaching-course_manager-CreateCourse');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 得到课程信息（包含课节信息）
 * @param {Object} id 课程ID
 */
export function GetCourseInfo_ContainCSItem(data) {
  let params = getRequestParams('teaching-course_manager-GetCourseInfo_ContainCSItem');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 添加教材到课程
 * @param {Object} course_id 课程id book_id 教材ID
 */
export function AddBookToCourse(data) {
  let params = getRequestParams('teaching-course_manager-AddBookToCourse');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 从课程移除教材
 * @param {Object} course_id 课程ID book_id 教材ID
 */
export function RemoveBookFromCourse(data) {
  let params = getRequestParams('teaching-course_manager-RemoveBookFromCourse');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 添加课节到课程
 * @param {Object} data course_id 课程ID begin_time 开始时间 end_time 截止时间 name 课节名称
 */
export function AddCSItemToCourse(data) {
  let params = getRequestParams('teaching-cs_item_manager-AddCSItemToCourse');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 得到课节详情（信息集合）
 * @param {Object} data id 课次id
 */
export function GetCSItemInfoBox(data) {
  let params = getRequestParams('teaching-cs_item_manager-GetCSItemInfoBox');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 删除课节
 * @param {Object} data id 课次ID
 */
export function DeleteCSItem(data) {
  let params = getRequestParams('teaching-cs_item_manager-DeleteCSItem');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}
