import { request, getRequestParams } from '@/utils/request';

/**
 * 教师得到自己一天的任务
 * @param {Object} data { date_stamp } 格式化后的时间 yyy-mm-dd
 */
export function getMyTaskListDateTeacher(data) {
  let params = getRequestParams('teaching-task_manager-GetMyTaskList_Date_Teacher');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 得到课次详情（信息集合）
 * @param {Object} data {id}
 */
export function getCSItemInfoBox(data) {
  let params = getRequestParams('teaching-cs_item_manager-GetCSItemInfoBox');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 分页查询我的课程列表
 * @param {Object} data finish_status 完成状态 page_capacity 每页容量 cur_page 当前页码
 */
export function pageQueryMyCourseList(data) {
  let params = getRequestParams('teaching-course_manager-PageQueryMyCourseList');
  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}
